%define major		0
%define libname		%mklibname xcb-xrm %{major}
%define develname	%mklibname xcb-xrm -d

Name:		xcb-util-xrm
Version:	1.3
Release:	%mkrel 4
Summary:	XCB utility functions for the X resource manager
Group:		System/Libraries

License:	MIT
URL:		https://github.com/Airblader/xcb-util-xrm
Source0:	%{url}/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(xorg-macros)
BuildRequires:	pkgconfig(xcb-aux)
BuildRequires:	pkgconfig(x11)

%description
%{summary}.

%package	-n %{libname}
Summary:	XCB utility functions for the X resource manager
Group:		System/Libraries

%description -n %{libname}
%{summary}.

%package	-n %{develname}
Summary:	Development files for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
%{summary}.

%prep
%autosetup

%build
autoreconf -vfi
%configure --disable-silent-rules --disable-static --disable-dependency-tracking
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%check
%__make check

%files -n %{libname}
%license COPYING
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/xcb/%(n=xcb-xrm; echo ${n//-/_}).h
%{_libdir}/*.so
%{_libdir}/pkgconfig/xcb-xrm.pc



%changelog
* Sat Mar 19 2022 umeabot <umeabot> 1.3-4.mga9
+ Revision: 1800187
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.3-3.mga8
+ Revision: 1518603
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.3-2.mga7
+ Revision: 1301818
- Mageia 7 Mass Rebuild

* Sun Aug 19 2018 daviddavid <daviddavid> 1.3-1.mga7
+ Revision: 1252803
- new version: 1.3

* Wed Jul 19 2017 sander85 <sander85> 1.2-1.mga7
+ Revision: 1125066
- New version: 1.2

* Thu Nov 10 2016 sander85 <sander85> 1.0-2.mga6
+ Revision: 1066290
- Devel package requires library package

* Wed Nov 09 2016 sander85 <sander85> 1.0-1.mga6
+ Revision: 1066138
- imported package xcb-util-xrm


* Fri Aug 12 2016 Igor Gnatenko <ignatenko@redhat.com> - 1.0-1
- Initial package
